unit uEditorToken;

interface

uses
  Rubies, heFountain;

procedure Init_EditorToken;

implementation

uses
  Classes, uDefUtils, Pythia, uEditorFountain;

procedure Init_EditorToken;
begin
  ap_define_const(cEditorParser, 'toEOF', INT2FIX(Ord(toEOF)));
  ap_define_const(cEditorParser, 'toSymbol', INT2FIX(Ord(toSymbol)));
  ap_define_const(cEditorParser, 'toString', INT2FIX(Ord(toString)));
  ap_define_const(cEditorParser, 'toInteger', INT2FIX(Ord(toInteger)));
  ap_define_const(cEditorParser, 'toFloat', INT2FIX(Ord(toFloat)));
  ap_define_const(cEditorParser, 'toBracket', INT2FIX(Ord(toBracket)));
  ap_define_const(cEditorParser, 'toComment', INT2FIX(Ord(toComment)));
  ap_define_const(cEditorParser, 'toAnk', INT2FIX(Ord(toAnk)));
  ap_define_const(cEditorParser, 'toTab', INT2FIX(Ord(toTab)));
  ap_define_const(cEditorParser, 'toDBSymbol', INT2FIX(Ord(toDBSymbol)));
  ap_define_const(cEditorParser, 'toDBInt', INT2FIX(Ord(toDBInt)));
  ap_define_const(cEditorParser, 'toDBAlph', INT2FIX(Ord(toDBAlph)));
  ap_define_const(cEditorParser, 'toDBHira', INT2FIX(Ord(toDBHira)));
  ap_define_const(cEditorParser, 'toDBKana', INT2FIX(Ord(toDBKana)));
  ap_define_const(cEditorParser, 'toDBKanji', INT2FIX(Ord(toDBKanji)));
  ap_define_const(cEditorParser, 'toKanaSymbol', INT2FIX(Ord(toKanaSymbol)));
  ap_define_const(cEditorParser, 'toKana', INT2FIX(Ord(toKana)));
  ap_define_const(cEditorParser, 'toUrl', INT2FIX(Ord(toUrl)));
  ap_define_const(cEditorParser, 'toMail', INT2FIX(Ord(toMail)));
end;

end.
